"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformContextualHelp;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms ContextualHelp:
 * - Comment out variant="info" (informative variant is the only one supported).
 * - Update placement prop to have only one value (e.g., "bottom left" becomes "bottom").
 */
function transformContextualHelp(path) {
    // Comment out variant="info"
    (0, transforms_1.commentOutProp)(path, { propName: 'variant', propValue: 'info' });
    // Update placement prop to have only one value
    (0, transforms_1.updatePlacementToSingleValue)(path, { propToUpdateName: 'placement' });
}
