"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformLink;
const utils_1 = require("../../shared/utils");
const t = __importStar(require("@babel/types"));
const transforms_1 = require("../../shared/transforms");
/**
 * If <a> was used inside Link (legacy API), remove the <a> and apply props directly to Link.
 */
function updateLegacyLink(path) {
    let missingOuterHref = t.isJSXElement(path.node) && !path.node.openingElement.attributes.some((attr) => t.isJSXAttribute(attr) && attr.name.name === 'href');
    if (missingOuterHref) {
        let innerLink = path.node.children.find((child) => t.isJSXElement(child) && t.isJSXIdentifier(child.openingElement.name));
        if (innerLink && t.isJSXElement(innerLink)) {
            let innerAttributes = innerLink.openingElement.attributes;
            let outerAttributes = path.node.openingElement.attributes;
            innerAttributes.forEach((attr) => {
                outerAttributes.push(attr);
            });
            if (t.isJSXIdentifier(innerLink.openingElement.name) &&
                innerLink.openingElement.name.name !== 'a') {
                (0, utils_1.addComment)(path.node, ' TODO(S2-upgrade): You may have been using a custom link component here. You\'ll need to update this manually.');
            }
            path.node.children = innerLink.children;
        }
    }
}
/**
 * Transforms Link:
 * - Change variant="overBackground" to staticColor="white".
 * - If <a> was used inside Link (legacy API), remove the <a> and apply props directly to Link.
 */
function transformLink(path) {
    // Change variant="overBackground" to staticColor="white"
    (0, transforms_1.updatePropNameAndValue)(path, {
        oldPropName: 'variant',
        oldPropValue: 'overBackground',
        newPropName: 'staticColor',
        newPropValue: 'white'
    });
    // Update legacy Link
    updateLegacyLink(path);
}
