"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformProgressBar;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms ProgressBar:
 * - Change variant="overBackground" to staticColor="white".
 * - Comment out labelPosition (it has not been implemented yet).
 * - Comment out showValueLabel (it has not been implemented yet).
 */
function transformProgressBar(path) {
    // Change variant="overBackground" to staticColor="white"
    (0, transforms_1.updatePropNameAndValue)(path, {
        oldPropName: 'variant',
        oldPropValue: 'overBackground',
        newPropName: 'staticColor',
        newPropValue: 'white'
    });
    // Comment out labelPosition
    (0, transforms_1.commentOutProp)(path, { propName: 'labelPosition' });
    // Comment out showValueLabel
    (0, transforms_1.removeProp)(path, { propName: 'showValueLabel' });
}
