"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformSection;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms Section:
 * - If within Menu: Update Section to be a MenuSection.
 * - If within Picker: Update Section to be a PickerSection.
 * - If within ComboBox: Update Section to be a ComboBoxSection.
 */
function transformSection(path) {
    // Update Sections based on parent collection component
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'Menu', newComponentName: 'MenuSection' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'Picker', newComponentName: 'PickerSection' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'ComboBox', newComponentName: 'ComboBoxSection' });
    // Move title prop to Header component
    (0, transforms_1.movePropToNewChildComponentName)(path, {
        parentComponentName: 'Menu',
        childComponentName: 'MenuSection',
        propName: 'title',
        newChildComponentName: 'Header'
    });
    (0, transforms_1.movePropToNewChildComponentName)(path, {
        parentComponentName: 'Picker',
        childComponentName: 'PickerSection',
        propName: 'title',
        newChildComponentName: 'Header'
    });
    (0, transforms_1.movePropToNewChildComponentName)(path, {
        parentComponentName: 'ComboBox',
        childComponentName: 'ComboBoxSection',
        propName: 'title',
        newChildComponentName: 'Header'
    });
    // Comment if parent collection not detected
    (0, transforms_1.commentIfParentCollectionNotDetected)(path);
}
