"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformSlider;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms Slider:
 * - Remove isFilled (Slider is always filled in Spectrum 2).
 * - Remove trackGradient (Not supported in S2 design).
 * - Remove showValueLabel (it has been removed due to accessibility issues).
 * - Comment out getValueLabel (it has not been implemented yet).
 * - Comment out orientation (it has not been implemented yet).
 */
function transformSlider(path) {
    // Remove isFilled
    (0, transforms_1.removeProp)(path, { propName: 'isFilled' });
    // Remove trackGradient
    (0, transforms_1.removeProp)(path, { propName: 'trackGradient' });
    // Remove showValueLabel
    (0, transforms_1.removeProp)(path, { propName: 'showValueLabel' });
    // Comment out getValueLabel
    (0, transforms_1.commentOutProp)(path, { propName: 'getValueLabel' });
    // Comment out orientation
    (0, transforms_1.commentOutProp)(path, { propName: 'orientation' });
}
