"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformTagGroup;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms TagGroup:
 * - Rename actionLabel to groupActionLabel.
 * - Rename onAction to onGroupAction.
 * - Change validationState="invalid" to isInvalid.
 * - Update Item to be Tag.
 * - Remove validationState="valid" (it is no longer supported in Spectrum 2).
 */
function transformTagGroup(path) {
    // Rename actionLabel to groupActionLabel
    (0, transforms_1.updatePropName)(path, { oldPropName: 'actionLabel', newPropName: 'groupActionLabel' });
    // Rename onAction to onGroupAction
    (0, transforms_1.updatePropName)(path, { oldPropName: 'onAction', newPropName: 'onGroupAction' });
    // Change validationState="invalid" to isInvalid
    (0, transforms_1.updatePropNameAndValue)(path, {
        oldPropName: 'validationState',
        oldPropValue: 'invalid',
        newPropName: 'isInvalid',
        newPropValue: true
    });
    // Remove validationState="valid"
    (0, transforms_1.removeProp)(path, { propName: 'validationState', propValue: 'valid' });
}
