"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformTooltip;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms Tooltip:
 * - Remove variant (it is no longer supported in Spectrum 2).
 * - Move placement prop to the parent TooltipTrigger.
 * - Remove showIcon (it is no longer supported in Spectrum 2).
 * - Move isOpen prop to the parent TooltipTrigger.
 */
function transformTooltip(path) {
    // Remove variant
    (0, transforms_1.removeProp)(path, { propName: 'variant' });
    // Move placement prop to the parent TooltipTrigger
    (0, transforms_1.movePropToParentComponent)(path, {
        parentComponentName: 'TooltipTrigger',
        childComponentName: 'Tooltip',
        propName: 'placement'
    });
    // Remove showIcon
    (0, transforms_1.removeProp)(path, { propName: 'showIcon' });
    // Move isOpen prop to the parent TooltipTrigger
    (0, transforms_1.movePropToParentComponent)(path, {
        parentComponentName: 'TooltipTrigger',
        childComponentName: 'Tooltip',
        propName: 'isOpen'
    });
}
